## listen 0.4.3

=== Makefile ===


PO = fr en_GB it es hu pl de pt_BR pt
PREFIX ?= /usr/local


all: check mmkeys.so po-data
	@echo "Done"
	@echo "Type: make install now"

check:
	@/bin/echo -n "Checking for Python... "
	@which python || ( echo "Not found." && /bin/false )
	@./check.py

mmkeys.so:
	cd mmkeys && make mmkeys.so && cd ..
	cp mmkeys/mmkeys.so src/mmkeys.so

clean:
	find . -type f -iregex '.*~$$'  -print | xargs rm -rf
	#find . -type d -iregex '.*\.svn$$'  -print | xargs rm -rf
	find . -type f -iregex '.*\.pyc$$'  -print | xargs rm -rf
	rm src/*.so -f
	rm .project -f
	cd mmkeys && make clean && cd ..

make-install-dirs: make-install-dirs-po
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/lib/listen/images
	mkdir -p $(DESTDIR)$(PREFIX)/lib/listen/images/source
	mkdir -p $(DESTDIR)$(PREFIX)/lib/listen/formats
	mkdir -p $(DESTDIR)$(PREFIX)/lib/listen/mutagen
	mkdir -p $(DESTDIR)$(PREFIX)/share/listen
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications

make-install-dirs-po:
	for lang in $(PO); do mkdir -p $(DESTDIR)$(PREFIX)/lib/listen/po/$$lang/LC_MESSAGES; done

install: make-install-dirs install-po
	install -m 644 src/*.py $(DESTDIR)$(PREFIX)/lib/listen
	install -m 644 src/mmkeys.so $(DESTDIR)$(PREFIX)/lib/listen
	install -m 644 src/mutagen/* $(DESTDIR)$(PREFIX)/lib/listen/mutagen
	install -m 644 src/formats/* $(DESTDIR)$(PREFIX)/lib/listen/formats
	install -m 644 src/images/*.png $(DESTDIR)$(PREFIX)/lib/listen/images
	install -m 644 src/images/source/* $(DESTDIR)$(PREFIX)/lib/listen/images/source
	install -m 644 src/images/listen.png $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -m 644 listen.desktop $(DESTDIR)$(PREFIX)/share/applications/
	cd $(DESTDIR)$(PREFIX)/bin && \
	ln -sf ../lib/listen/listen.py listen && \
	chmod 755 listen

install-po:
	for lang in $(PO); do install -m 644 src/po/$$lang/LC_MESSAGES/* $(DESTDIR)$(PREFIX)/lib/listen/po/$$lang/LC_MESSAGES/; done

po-dir:
	for lang in $(PO); do mkdir -p src/po/$$lang/LC_MESSAGES/ ;done

po-data: po-dir
	for lang in $(PO); do msgfmt src/po/$$lang.po -o src/po/$$lang/LC_MESSAGES/listen.mo;done

po-gen:
	xgettext -k_ -kN_ -o src/po/messages.pot src/*.py
	for lang in $(PO); do msgmerge -U src/po/$$lang.po src/po/messages.pot; done

## listen 0.5

=== Makefile ===
#/usr/bin/make -f
# vim: ts=4
#

VERSION ?= 0.5

# 1 = Add LD_LIBRARY_PATH=/path/to/firefox/mozembed/so/file when listen start 
# to prevent segmentfault on wikipedia and lyrics widget for broken python-gtkmozemebed on some distribution like ubuntu edgy/dapper

USE_MOZEMBED_HACK ?= 0

#0 = don't check dependencies usefull to make distribued packages
CHECK_DEPENDS ?= 1

PYTHON  = python
PREFIX ?= /usr
LIBDIR  = $(PREFIX)/lib/listen
BINDIR  = $(PREFIX)/bin
DATADIR = $(PREFIX)/share
LOCALEDIR = $(DATADIR)/locale
MANDIR  = $(DATADIR)/man
DBUSDIR  = $(DATADIR)/dbus-1

DIST_BUILD_DEB ?= 1

GTKMOZEMBED_PATH = $(shell pkg-config --libs-only-L mozilla-gtkmozembed 2>/dev/null || pkg-config --libs-only-L firefox-gtkmozembed 2>/dev/null | sed -e "s/-L//g" -e "s/[ ]/\,/" -e "s/[  ]//g" )
CONFIGURE_IN_MOZEMBED_HACK= sed -e 's!GTKMOZEMBED_PATH!LD_LIBRARY_PATH=$(GTKMOZEMBED_PATH)!g' 

CONFIGURE_IN = sed -e 's!GTKMOZEMBED_PATH!!g' -e 's!PYTHON!$(PYTHON)!g' -e 's!LIBDIR!$(LIBDIR)!g' -e 's!DATADIR!$(DATADIR)!g' -e 's!PREFIX!$(PREFIX)!g' -e 's!BINDIR!$(BINDIR)!g' -e 's!LOCALEDIR!$(LOCALEDIR)!g'

FILES_IN = misc/listen.in misc/org.gnome.Listen.service.in src/dists.py.in

DIST_DIR = src data misc mmkeys po 
DIST_FILE = check.py copy gpl.txt INSTALL Makefile README TODO
DIST_BLACKLIST = src/gnomevfswrap.py src/gst_daap.py src/daap.py src/md5daap.so src/cairo-test.py

DIST_INSTALL ?= dists/

PO = $(shell find ./po -name *.po -print | sed -e 's!.po!!g')

all: check mmkeys.so po-data
	docbook2x-man misc/listen.1.docbook --to-stdout | gzip > misc/listen.1.gz
	for fn in $(FILES_IN) ; do \
		if [ $(USE_MOZEMBED_HACK) -eq 1 ]; then \
			IN=`cat $$fn | $(CONFIGURE_IN_MOZEMBED_HACK) | $(CONFIGURE_IN)`; \
		else \
			IN=`cat $$fn | $(CONFIGURE_IN)`; \
		fi ;\
		F_OUT=`echo $$fn | sed -e 's/\.in$$//g'`; \
		echo "$$IN" > $$F_OUT; \
	done
	@echo "Done"
	@echo "Type: make install now"

check: 
	@if [ $(CHECK_DEPENDS) -eq 1 ]; then \
		/bin/echo -n "Checking for Python... "; \
		which $(PYTHON) || ( echo "Not found." && /bin/false ); \
		$(PYTHON) ./check.py; \
	fi

daap.py:
	cd daap && $(PYTHON) ./setup.py build  && cd ..
	cp daap/build/lib.*/* src/ -rf

mmkeys.so:
	${MAKE} -C mmkeys
	cp mmkeys/mmkeys.so src/mmkeys.so

clean: po-clean	
	rm -rf build
	rm -f tags
	rm -f misc/listen.1.gz
	rm -rf $(DIST_INSTALL)
	find . -type f -name '*.pyc'  -print | xargs rm -rf
	find . -type f -name '*.pyo'  -print | xargs rm -rf
	rm -f src/*.so
	for fn in $(FILES_IN) ; do \
		F=`echo $$fn | sed -e 's/\.in$$//g'`; \
		rm -f $$F; \
	done
	rm -f listen.1
	${MAKE} -C mmkeys clean

dist-clean: clean 
	rm -f .project  Listen.pida tags
	find . -type d -name '.svn'  -print | xargs rm -rf
	find . -name '*.bak'  -exec rm -rf {} \;
	find . -name '*~'  -exec rm -rf {} \;
	find . -name '.*'  -exec rm -rf {} \; 
	for fn in $(DIST_BLACKLIST); do \
		rm -rf $$fn; \
	done

make-install-dirs:
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(LIBDIR)/source
	mkdir -p $(DESTDIR)$(LIBDIR)/library
	mkdir -p $(DESTDIR)$(LIBDIR)/webradio
	mkdir -p $(DESTDIR)$(LIBDIR)/widget/webinfo
	
	mkdir -p $(DESTDIR)$(DATADIR)/listen/img/source
	mkdir -p $(DESTDIR)$(DATADIR)/pixmaps
	mkdir -p $(DESTDIR)$(DATADIR)/applications
	mkdir -p $(DESTDIR)$(DATADIR)/man/man1
	mkdir -p $(DESTDIR)$(DATADIR)/dbus-1/services
	
	for lang in $(PO); do mkdir -p $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES; done

install: make-install-dirs
	install -m 644 src/*.py $(DESTDIR)$(LIBDIR)
	install -m 644 src/listen.py $(DESTDIR)$(LIBDIR)
	install -m 644 src/mmkeys.so $(DESTDIR)$(LIBDIR)
	install -m 644 src/source/*.py $(DESTDIR)$(LIBDIR)/source
	install -m 644 src/library/*.py $(DESTDIR)$(LIBDIR)/library
	install -m 644 src/webradio/*.py $(DESTDIR)$(LIBDIR)/webradio
	install -m 644 src/widget/*.py $(DESTDIR)$(LIBDIR)/widget
	install -m 644 src/widget/webinfo/*.py $(DESTDIR)$(LIBDIR)/widget/webinfo
	
	install -m 644 data/*.glade $(DESTDIR)$(DATADIR)/listen
	install -m 644 data/img/*.png $(DESTDIR)$(DATADIR)/listen/img
	install -m 644 data/img/source/*.png $(DESTDIR)$(DATADIR)/listen/img/source
	install -m 644 data/img/listen.png $(DESTDIR)$(DATADIR)/pixmaps/
	
	install -m 644 misc/listen.desktop $(DESTDIR)$(DATADIR)/applications/
	install -m 644 misc/listen.1.gz $(DESTDIR)$(MANDIR)/man1/
	install -m 644 misc/org.gnome.Listen.service $(DESTDIR)$(DBUSDIR)/services
	
	for lang in $(PO); do install -m 644 po/$$lang.mo $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES/listen.mo; done
	
	install -m 755 misc/listen $(DESTDIR)$(BINDIR)


po-data:
	for lang in $(PO); do msgfmt po/$$lang.po -o po/$$lang.mo;done
	intltool-merge -d po misc/listen.desktop.in misc/listen.desktop

po-gen:
	intltool-extract --type=gettext/glade data/trackedit.glade
	intltool-extract --type=gettext/ini misc/listen.desktop.in
	xgettext --from-code=UTF-8 -k_ -kN_ -o po/listen.pot src/*.py src/*/*.py data/*.h misc/*.h
	for lang in $(PO); do msgmerge -U po/$$lang.po po/listen.pot; done

po-clean:
	rm -rf data/*.h
	rm -rf misc/*.h
	rm -rf po/*.mo

dist: clean
	mkdir -p $(DIST_INSTALL)
	mkdir -p build/listen-$(VERSION)
	for dir in $(DIST_DIR); do \
		mkdir -p build/listen-$(VERSION)/$$dir/; \
		cp -rf $$dir/ build/listen-$(VERSION)/; \
	done
	cp $(DIST_FILE) build/listen-$(VERSION)
	${MAKE} -C build/listen-$(VERSION)/ dist-clean
	
	@echo Tarring listen-$(VERSION) ...
	@cd build && tar czf ../$(DIST_INSTALL)/listen-$(VERSION).tar.gz listen-$(VERSION)/ 
	@cd build && tar cjf ../$(DIST_INSTALL)/listen-$(VERSION).tar.bz2 listen-$(VERSION)/ 
	
	#For svn version and debian based system only
	if [ -d debian ] && [ $(DIST_BUILD_DEB) -eq 1 ]; then \
		echo Debianize listen-$(VERSION) ...; \
		mkdir -p $(DIST_INSTALL)/packages/; \
		cp -rf debian build/listen-$(VERSION)/debian; \
		${MAKE} -C build/listen-$(VERSION)/ dist-clean; \
		cd build/listen-$(VERSION) && (dpkg-buildpackage -rfakeroot || true) ; \
		cd ../..; \
		mv build/listen_* $(DIST_INSTALL)packages/ ; \
	fi 
	
	rm -rf build

tags:
	python -OO utils/ptags.py $$(find src/ -type f -name '*.py'  -print )

vimrc:
	for f in $$(find src/ -type f -name '*.py'); do \
		tag_path=$$(echo $$f | sed -e 's,^src\(.*\)/[^/]*$$,\1,g' -e 's,\([^/]*\),..,g') ;\
		sed -i -e '/^# vim:/d' $$f ;\
		sed -i -e "/^###$$/{N;N;s,^\(###\n#\n# Listen \),# vim: ts=4\n\1,}" $$f ;\
	done

docs:
	AWK_BLACKLIST=$$(echo "$(DIST_BLACKLIST)" |  sed -e 's/ /\n/g ' | awk '/\.py$$/{  COND="/^"gensub(/\//,"\\\\/",$$0)"$$/"; if (NR==1) {OUT=COND} else {OUT=OUT" || "COND} } END {print OUT}') && find src/ -type f -iname \*.py | sed -e 's/^.\///g'> tmp_modules&& AWK_MODULES=$$(awk "! ($$AWK_BLACKLIST){print \"../\"\$$\$$0}" tmp_modules) && \
	cd src/ && epydoc -o ../doc/ --inheritance "listed" --ignore-param-mismatch -n "Listen $(VERSION)" $$AWK_MODULES 2> doc_error

=== mmkeys/Makefile ===
# Copyright 2004 Joe Wreschnig. Released under the terms of the GNU GPL.

mmkeys.so: build
	cp build/lib*/mmkeys.so .

build: mmkeyspy.c
	./setup.py build

DEFS=`pkg-config --variable=defsdir pygtk-2.0`

mmkeyspy.c: mmkeys.defs mmkeys.override
	pygtk-codegen-2.0 --prefix mmkeys \
	--register $(DEFS)/gdk-types.defs \
	--register $(DEFS)/gtk-types.defs \
	--override mmkeys.override \
	mmkeys.defs > gen-tmp
	mv gen-tmp $@

clean:
	rm -f mmkeys.so *.o mmkeyspy.c
	rm -rf build dist

distclean: clean
	rm -f *~ gen-tmp

## listen 0.6.2

=== Makefile ===
#/usr/bin/make -f
# vim: ts=4

VERSION = 0.6.2

#0 = don't check dependencies usefull to make distribued packages
CHECK_DEPENDS ?= 1

PYTHON  = python
PREFIX ?= /usr
LIBDIR  ?= $(PREFIX)/lib
BINDIR  ?= $(PREFIX)/bin
DATADIR ?= $(PREFIX)/share
LOCALEDIR ?= $(DATADIR)/locale
MANDIR  ?= $(DATADIR)/man
DBUSDIR  ?= $(DATADIR)/dbus-1

USE_GTKMOZEMBED ?= 

GTKMOZEMBED_PATH ?= $(shell pkg-config --libs-only-L mozilla-gtkmozembed 2>/dev/null || pkg-config --libs-only-L firefox-gtkmozembed 2>/dev/null | sed -e "s/-L//g" -e "s/[  ]//g" )


DIST_DIR = src data misc mmkeys po 
DIST_FILE = check.py copy gpl.txt INSTALL Makefile README TODO header.tmpl
DIST_TAR_EXCLUDE = (src/gnomevfswrap.py$$|src/cairo-test.py$$|data/_img.*)
DIST_INSTALL ?= dists/

PYSRC_DIR = $(shell find src -type d -not -ipath \*.svn\* | sed -e 's@src/@@g' -e '/src/d')

PO = $(shell find ./po -name *.po -print | sed -e 's!.po!!g')

all: check mmkeys.so po-data

	echo "#!/bin/sh" > listen
	cat header.tmpl >> listen
	echo >> listen
	echo 'export LISTEN_LIBRARY_PATH="$(LIBDIR)/listen"' >> listen
	echo 'export LISTEN_DATA_PATH="$(DATADIR)/listen"' >> listen
	echo 'export LISTEN_VERSION="$(VERSION)"' >> listen
ifdef USE_GTKMOZEMBED
	echo 'export MOZILLA_FIVE_HOME="$(GTKMOZEMBED_PATH)"' >> listen
	echo 'export LD_LIBRARY_PATH="$(GTKMOZEMBED_PATH)"' >> listen
endif
	echo >> listen
	echo 'cd $$LISTEN_LIBRARY_PATH && exec $(PYTHON) listen "$$@"' >> listen
	echo >> listen

	echo '[D-BUS Service]' > org.gnome.Listen.service
	echo 'Name=org.gnome.Listen' >> org.gnome.Listen.service
	echo 'Exec=$(BINDIR)/listen' >> org.gnome.Listen.service

	docbook2x-man misc/listen.1.docbook --to-stdout | gzip > listen.1.gz

	python -m compileall src
	python -O -m compileall src
	@echo "Done"
	@echo "Type: make install now"



check: 
	@if [ $(CHECK_DEPENDS) -eq 1 ]; then \
		/bin/echo -n "Checking for Python... "; \
		which $(PYTHON) || ( echo "Not found." && /bin/false ); \
		$(PYTHON) ./check.py; \
	fi

mmkeys.so:
	${MAKE} -C mmkeys
	cp mmkeys/mmkeys.so src/mmkeys.so

clean: po-clean	
	rm -rf build
	rm -f tags
	rm -f misc/listen.1 listen.1.gz listen.desktop
	rm -rf $(DIST_INSTALL)
	rm -f listen org.gnome.Listen.service
	find . -type f -name '*.pyc'  -print | xargs rm -rf
	find . -type f -name '*.pyo'  -print | xargs rm -rf
	rm -f src/*.so
	${MAKE} -C mmkeys clean

dist-clean: clean 
	rm -f .project tags
	find . -type d -name '.svn'  -print | xargs rm -rf
	find . -name '*.bak'  -exec rm -rf {} \;
	find . -name '*~'  -exec rm -rf {} \;
	find . -name '.*'  -exec rm -rf {} \; 

make-install-dirs:
	mkdir -p $(DESTDIR)$(BINDIR)
	for dir in $(PYSRC_DIR); do \
		mkdir -p $(DESTDIR)$(LIBDIR)/listen/$${dir} ; \
	done
	
	mkdir -p $(DESTDIR)$(DATADIR)/listen/img/source
	mkdir -p $(DESTDIR)$(DATADIR)/pixmaps
	mkdir -p $(DESTDIR)$(DATADIR)/applications
	mkdir -p $(DESTDIR)$(DATADIR)/man/man1
	mkdir -p $(DESTDIR)$(DATADIR)/dbus-1/services
	
	for lang in $(PO); do mkdir -p $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES; done

install: make-install-dirs
	install -m 644 src/*.py $(DESTDIR)$(LIBDIR)/listen
	install -m 644 src/*.pyc $(DESTDIR)$(LIBDIR)/listen
	install -m 644 src/*.pyo $(DESTDIR)$(LIBDIR)/listen
	for dir in $(PYSRC_DIR); do \
		install -m 644 src/$${dir}/*.py $(DESTDIR)$(LIBDIR)/listen/$${dir} ; \
		install -m 644 src/$${dir}/*.pyc $(DESTDIR)$(LIBDIR)/listen/$${dir} ; \
		install -m 644 src/$${dir}/*.pyo $(DESTDIR)$(LIBDIR)/listen/$${dir} ; \
	done
	
	install -m 644 src/mmkeys.so $(DESTDIR)$(LIBDIR)/listen/
	install -m 644 src/listen $(DESTDIR)$(LIBDIR)/listen/
	install -m 644 data/*.glade $(DESTDIR)$(DATADIR)/listen
	install -m 644 data/jamendo_logo*.png $(DESTDIR)$(DATADIR)/listen
	install -m 644 data/img/*.png $(DESTDIR)$(DATADIR)/listen/img
	install -m 644 data/img/source/*.png $(DESTDIR)$(DATADIR)/listen/img/source
	install -m 644 data/img/listen.png $(DESTDIR)$(DATADIR)/pixmaps/
	
	install -m 644 listen.desktop $(DESTDIR)$(DATADIR)/applications/
	install -m 644 listen.1.gz $(DESTDIR)$(MANDIR)/man1/
	install -m 644 org.gnome.Listen.service $(DESTDIR)$(DBUSDIR)/services
	
	for lang in $(PO); do install -m 644 po/$$lang.mo $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES/listen.mo; done
	
	install -m 755 listen $(DESTDIR)$(BINDIR)


po-data:
	for lang in $(PO); do msgfmt po/$$lang.po -o po/$$lang.mo;done
	intltool-merge -d po misc/listen.desktop.in listen.desktop

po-gen:
	intltool-extract --type=gettext/glade data/trackedit.glade
	intltool-extract --type=gettext/glade data/queuemanager.glade
	intltool-extract --type=gettext/ini misc/listen.desktop.in
	xgettext --from-code=UTF-8 -k_ -kN_ -o po/listen.pot src/*.py src/*/*.py data/*.h misc/*.h src/*/*/*.py
	for lang in $(PO); do msgmerge -U po/$$lang.po po/listen.pot; done

po-clean:
	rm -rf data/*.h
	rm -rf misc/*.h
	rm -rf po/*.mo

header:
	for f in $$(find src/ -type f -name '*.py'); do \
		tag_path=$$(echo $$f | sed -e 's,^src\(.*\)/[^/]*$$,\1,g' -e 's,\([^/]*\),..,g') ;\
		sed -i -e '/^# vim:/d' $$f ;\
		sed -i -e '/^# -*- coding:/d' $$f ;\
		sed -i -e "/^###$$/{N;N;s,^\(###\n#\n# Listen \),# -*- coding: utf-8 -*-\n# vim: ts=4\n\1,}" $$f ;\
	done

dists: clean
	mkdir -p $(DIST_INSTALL)
	mkdir -p build/listen-$(VERSION)
	for dir in $(DIST_DIR); do \
		mkdir -p build/listen-$(VERSION)/$$dir/; \
		cp -rf $$dir/ build/listen-$(VERSION)/; \
	done
	cp $(DIST_FILE) build/listen-$(VERSION)
	${MAKE} -C build/listen-$(VERSION)/ dist-clean
	
	#
	# Prepare all tar ...
	cd build && find listen-$(VERSION) -print | egrep '$(DIST_TAR_EXCLUDE)' > exclude_dists
	cd build && tar czfX ../$(DIST_INSTALL)/listen-$(VERSION).tar.gz exclude_dists listen-$(VERSION)/
	cd build && tar cjfX ../$(DIST_INSTALL)/listen-$(VERSION).tar.bz2 exclude_dists listen-$(VERSION)/

	rm -rf build

tags:
	python -OO utils/ptags.py $$(find src/ -type f -name '*.py'  -print )

## listen 0.6.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #/usr/bin/make -f
 # vim: ts=4
+#
 
-VERSION = 0.6.2
+VERSION = 0.6.4
 
 #0 = don't check dependencies usefull to make distribued packages
 CHECK_DEPENDS ?= 1
@@ -115,6 +116,7 @@
 	install -m 644 src/listen $(DESTDIR)$(LIBDIR)/listen/
 	install -m 644 data/*.glade $(DESTDIR)$(DATADIR)/listen
 	install -m 644 data/jamendo_logo*.png $(DESTDIR)$(DATADIR)/listen
+	install -m 644 data/magnatune_logo*.png $(DESTDIR)$(DATADIR)/listen
 	install -m 644 data/img/*.png $(DESTDIR)$(DATADIR)/listen/img
 	install -m 644 data/img/source/*.png $(DESTDIR)$(DATADIR)/listen/img/source
 	install -m 644 data/img/listen.png $(DESTDIR)$(DATADIR)/pixmaps/
@@ -129,10 +131,14 @@
 
 
 po-data:
-	for lang in $(PO); do msgfmt po/$$lang.po -o po/$$lang.mo;done
+	for lang in $(PO); do \
+		msgfmt po/$$lang.po -o po/$$lang.mo; \
+	done
 	intltool-merge -d po misc/listen.desktop.in listen.desktop
 
 po-gen:
+	intltool-extract --type=gettext/glade data/jamendo-loading.glade
+	intltool-extract --type=gettext/glade data/magnatune-loading.glade
 	intltool-extract --type=gettext/glade data/trackedit.glade
 	intltool-extract --type=gettext/glade data/queuemanager.glade
 	intltool-extract --type=gettext/ini misc/listen.desktop.in
@@ -164,7 +170,7 @@
 	
 	#
 	# Prepare all tar ...
-	cd build && find listen-$(VERSION) -print | egrep '$(DIST_TAR_EXCLUDE)' > exclude_dists
+	cd build && find listen-$(VERSION) -print | egrep '$(DIST_TAR_EXCLUDE)' > exclude_dists || true
 	cd build && tar czfX ../$(DIST_INSTALL)/listen-$(VERSION).tar.gz exclude_dists listen-$(VERSION)/
 	cd build && tar cjfX ../$(DIST_INSTALL)/listen-$(VERSION).tar.bz2 exclude_dists listen-$(VERSION)/
 
@@ -174,5 +180,12 @@
 	python -OO utils/ptags.py $$(find src/ -type f -name '*.py'  -print )
 
 
+po-launchpad-extract: launchpad-export.tar.gz
+	rm -rf po-export
+	mkdir -p po-export
+	tar -xzf launchpad-export.tar.gz -C po-export
+	for file in po-export/po/*.po  ; do \
+		cp -f $$file po/$${file##*/listen-} ; \
+	done
+	rm -rf po-export
 
-

=== debian/changelog ===
listen (0.6.4-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
   - Transition to python-webkit from python-webkitgtk.
   - Don't Depend on python-gtkmozembed.
   - Move gstreamer0.10-esd from Recommends to Suggests.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 17 Mar 2010 23:43:31 -0400

listen (0.6.4-1) unstable; urgency=low

  * New Upstream Version:
    + Updates all lyrics plugins
    + Fixes Amazon and Google cover search
    + Adds yooook plugin for listen
    + Uses any jpg and png file in song directory for cover
    + "Stop after this track" fixed
    + Only shows filename when no title is available (Closes: #544128)
    + Keeps order when uri are loaded from a playlist
    + Prints an exception when dbus dependencies are missing
    + Allows to start listen when pid file is broken
    + No more freeze when a stream gets an error
    + Fixes related album errors when no playcount is available
    + Webkit infinite reload page fixed
    + Adds missing magnatune logo
    + Doesn't browse shoucast directory when listen is started

 -- Julien Valroff <julien@kirya.net>  Mon, 22 Feb 2010 18:14:17 +0100

listen (0.6.3-6) unstable; urgency=low

  * Bump Debian policy version to 3.8.4

 -- Julien Valroff <julien@kirya.net>  Sat, 26 Dec 2009 21:01:28 +0100

listen (0.6.3-5ubuntu1) lucid; urgency=low

  *  Merge from Debian testing, remaining changes:
   - Transition to python-webkit from python-webkitgtk.
   - Don't Depend on python-gtkmozembed.
   - Move gstreamer0.10-esd from Recommends to Suggests.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 28 Dec 2009 19:48:16 -0500

listen (0.6.3-5) unstable; urgency=low

  * Converted to 3.0 (quilt) source format
  * Switched to GIT - updated VCS-* fields accordingly
  * Fixed watch file - thanks to Andrew Starr-Bochicchio
    <a.starr.b@gmail.com> (Closes: #557583)
  * Do not suggest python-eggtray anymore, recommend python-xlib
    instead (Closes: #560977)

 -- Julien Valroff <julien@kirya.net>  Fri, 25 Dec 2009 17:04:38 +0100

listen (0.6.3-4) unstable; urgency=low

  * Fixed typo in manpage - thanks to A. Costa <agcosta@gis.net>
    (Closes: #550927)
  * Applied patch from upstream BTS to make cover fetching from
    Google Images work again (Closes: #554963)

 -- Julien Valroff <julien@kirya.net>  Sat, 07 Nov 2009 16:40:58 +0100

listen (0.6.3-3ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
   - Transition to python-webkit from python-webkitgtk.
   - Don't Depend on python-gtkmozembed.
   - Move gstreamer0.10-esd from Recommends to Suggests.
  * debian/watch: Updated to look on Launchpad project.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 22 Nov 2009 19:03:10 -0500

listen (0.6.3-3) unstable; urgency=low

  * Dropped dependency on python-elementtree: was included
    in python2.5
  * Bumped Standards-Version to 3.8.3 - No further changes
  * Added README.source
  * Added watch file

 -- Julien Valroff <julien@kirya.net>  Sun, 16 Aug 2009 08:37:38 +0200

listen (0.6.3-2) unstable; urgency=low

  * Properly treat notify server capabilities to be
    None (Closes: #540092)

 -- Julien Valroff <julien@kirya.net>  Wed, 05 Aug 2009 18:43:07 +0200

listen (0.6.3-1) unstable; urgency=low

  * New upstream release:
    + replaygain support (read only)
    + magnatune support
    + xpsf playlist support
    + less memory usage
    + many bugs fixed (Closes: #530652)
  * Bumped Standards version to 3.8.2 (no changes needed)
  * Removed dh_desktop call (now deprecated)
  * Added patch to install the Magnatune logo

 -- Julien Valroff <julien@kirya.net>  Tue, 04 Aug 2009 19:37:02 +0200

listen (0.6.2-2) unstable; urgency=low

  * Dropped recommends on libgpod2, python-gpod depends on libgpod
  * Added patch to fix spelling mistake (Closes: #536052)

 -- Julien Valroff <julien@kirya.net>  Wed, 10 Jun 2009 20:54:14 +0200

listen (0.6.2-1ubuntu3) karmic; urgency=low

  * LP: #432405 - firefox-3.5 karmic - listen still depends on xulrunner-1.9;
    drop xulrunner-1.9 depends after python-webkit transition; see:
    https://blueprints.launchpad.net/ubuntu/+spec/desktop-karmic-firefox-3.5

 -- Alexander Sack <asac@ubuntu.com>  Fri, 18 Sep 2009 12:59:01 +0200

listen (0.6.2-1ubuntu2) karmic; urgency=low

  * Transition to python-webkit. (LP: #407373) 
  * Remove dh_desktop from rules file as it's deprecated. 

 -- Jorge O. Castro <jorge@ubuntu.com>  Fri, 31 Jul 2009 16:42:49 +0200

listen (0.6.2-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes (LP: #382382)
    - Don't Depend on python-elementtree or python-gtkmozembed
    - Depend on python-webkitgtk
    - Move gstreamer0.10-esd from Recommends to Suggests

 -- Nathan Handler <nhandler@ubuntu.com>  Mon, 08 Jun 2009 20:22:03 +0000

listen (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Julien Valroff <julien@kirya.net>  Fri, 22 May 2009 14:26:43 +0200

listen (0.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #521854, #525165)
  * Added depend on python-xdg (Closes: #525157)

 -- Julien Valroff <julien@kirya.net>  Sat, 09 May 2009 08:55:53 +0200

listen (0.6~rc2-1) experimental; urgency=low

  * New upstream release candidate, fixes the following major bugs:
    + Broken webradio support
    + Remove freeze when database are saved on the disk
    + Sometimes listen freeze when a new stream are started after
      the end of the playlist
    + Broken Google image cover download 
  * Pass --as-needed flag to ld

 -- Julien Valroff <julien@kirya.net>  Sat, 28 Mar 2009 13:48:22 +0100

listen (0.6~rc1-2) experimental; urgency=low

  * Added patch to skip dependencies check during build
    (Closes: #519923)
  * Use upstream manpage

 -- Julien Valroff <julien@kirya.net>  Mon, 16 Mar 2009 14:02:41 +0100

listen (0.6~rc1-1) experimental; urgency=low

  * First release candidate for 0.6:
    + Partial DAAP support
    + Listen Last.fm Station


=== debian/control ===
Source: listen
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Julien Valroff <julien@kirya.net>
Build-Depends: 	cdbs (>= 0.4.43),
		debhelper (>= 7.0),
		python-central (>= 0.5),
		docbook2x,
		pkg-config,
		imagemagick,
		python-gtk2-dev,
		python-all-dev (>= 2.3.5-11),
		python-mutagen (>= 1.8),
		intltool,
		python-gnome2-dev,
		python-gnome2-extras-dev,
		python-gst0.10,
		sgml-data
Standards-Version: 3.8.4
XS-Python-Version: current
Homepage: http://www.listen-project.org/
Vcs-Git: git://git.kirya.net/git/listen.git
Vcs-Browser: http://git.kirya.net/?p=listen.git;a=summary
DM-Upload-Allowed: yes

Package: listen
Architecture: any
Depends: 	${misc:Depends},
		${shlibs:Depends},
		${python:Depends},
		gstreamer0.10-alsa,
		python-gtk2,
		python-dbus,
		python-glade2,
		notification-daemon,
		python-pyinotify,
		gstreamer0.10-plugins-base,
		gstreamer0.10-plugins-good,
		python-gst0.10 (>= 0.10.4-4),
		python-mutagen (>= 1.8),
		python-webkit,
		python-xdg
Recommends: 	gstreamer0.10-x,
		python-musicbrainz2,
		python-tunepimp (>= 0.5),
		gnome-icon-theme,
		python-daap,
		python-avahi,
		python-gpod (>= 0.3.2),
		python-xlib
Suggests: 	gstreamer0.10-plugins-bad,
		gstreamer0.10-plugins-ugly,
		python-sexy,
		libtunepimp5,
		python-gnome2,
		gstreamer0.10-esd,
		icecast2 | icecast-server
XB-Python-Version: ${python:Versions}
Description: music player and manager for GNOME
 Listen is an audio player which helps you to organize your
 music collections.
 .
 It supports many features such as Podcasts management, browse Shoutcast
 directory, and provides direct access to lyrics, lastfm and wikipedia
 information.
 .
 It intuitively creates playlists for you by retrieving information from
 lastfm and what you most frequently listen to.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

DEB_MAKE_BUILD_TARGET    := listen 
DEB_MAKE_INSTALL_TARGET  := install DESTDIR=$(CURDIR)/debian/listen/

LDFLAGS += -Wl,--as-needed

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

configure/listen::
	chmod u+x $(CURDIR)/mmkeys/setup.py

build/listen::
	convert -resize 32x32 $(CURDIR)/data/img/listen.png $(CURDIR)/debian/listen.xpm

binary-install/listen::
	dh_pycentral

clean::
	rm -f debian/listen.xpm

## listen 0.6.5

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # vim: ts=4
 #
 
-VERSION = 0.6.4
+VERSION = 0.6.5
 
 #0 = don't check dependencies usefull to make distribued packages
 CHECK_DEPENDS ?= 1
@@ -23,7 +23,7 @@
 
 DIST_DIR = src data misc mmkeys po 
 DIST_FILE = check.py copy gpl.txt INSTALL Makefile README TODO header.tmpl
-DIST_TAR_EXCLUDE = (src/gnomevfswrap.py$$|src/cairo-test.py$$|data/_img.*)
+DIST_TAR_EXCLUDE = (data/_img.*)
 DIST_INSTALL ?= dists/
 
 PYSRC_DIR = $(shell find src -type d -not -ipath \*.svn\* | sed -e 's@src/@@g' -e '/src/d')
@@ -107,11 +107,11 @@
 	install -m 644 src/*.pyc $(DESTDIR)$(LIBDIR)/listen
 	install -m 644 src/*.pyo $(DESTDIR)$(LIBDIR)/listen
 	for dir in $(PYSRC_DIR); do \
-		install -m 644 src/$${dir}/*.py $(DESTDIR)$(LIBDIR)/listen/$${dir} ; \
-		install -m 644 src/$${dir}/*.pyc $(DESTDIR)$(LIBDIR)/listen/$${dir} ; \
-		install -m 644 src/$${dir}/*.pyo $(DESTDIR)$(LIBDIR)/listen/$${dir} ; \
+		for file in src/$${dir}/*.py; do \
+			grep '^#@nodistribution' $$file >/dev/null && echo "$$file not distribued" && continue ; \
+			install -m 644 $${file}* $(DESTDIR)$(LIBDIR)/listen/$${dir}/ ; \
+		done ; \
 	done
-	
 	install -m 644 src/mmkeys.so $(DESTDIR)$(LIBDIR)/listen/
 	install -m 644 src/listen $(DESTDIR)$(LIBDIR)/listen/
 	install -m 644 data/*.glade $(DESTDIR)$(DATADIR)/listen
@@ -128,7 +128,6 @@
 	for lang in $(PO); do install -m 644 po/$$lang.mo $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES/listen.mo; done
 	
 	install -m 755 listen $(DESTDIR)$(BINDIR)
-
 
 po-data:
 	for lang in $(PO); do \

=== debian/changelog ===
listen (0.6.5-4) unstable; urgency=low

  * Replace python-all-dev build-dep with python-dev.
  * Add gbp.conf file.
  * Attempt to fix last.fm submission (Closes: #563493).
  * Bump Standards.
  * Remove README.source file.
  * Remove pycompat file.
  * Fix typo in desktop file: audip/mp3 -> audio/mp3 (LP: #570811).

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Aug 2010 17:45:17 +0200

listen (0.6.5-3) unstable; urgency=low

  [ Julien Valroff ]
  * Promote python-gnome2 and gstreamer0.10-plugins-ugly from suggest to
    recommend (Closes: #580966, #580967)

  [ Alessio Treglia ]
  * Adopting this (Closes: #585898).
  * Remove old-style quilt working tree.
  * Don't raise string exceptions as they are no longer allowed
    in Python 2.6 (Closes: #585246).
  * debian/control:
    - Update Vcs-* fields.
    - Drop DM-Upload-Allowed field.
    - Drop unnecessary python-central build-dependency, the package already
      uses python-support.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Jun 2010 13:31:39 +0200

listen (0.6.5-2) unstable; urgency=low

  * Switch to dh tiny rules and let the package build (Closes: #577333)

 -- Julien Valroff <julien@kirya.net>  Sun, 11 Apr 2010 11:36:37 +0200

listen (0.6.5-1) unstable; urgency=low

  * New Upstream Version:
    + Playlist order is now kept 
    + Fixed encoding problem when downloading podcast
    + New API to display html
    + New preferences window layout
    + Dialog windows are open on the top of main window when in fullscreen
    + Big code cleanup with pylint
    + Updated gajim api
    + Remove current playing song from gajim or pidgin status when exiting
    + Fixed flickering in top left screen, when pressing cover button
    + Improved listen load time
    + Resolved stream end and stop to this track conflic problem
    + Add viewport for webkit
  * Fixed dependency on python-webkit (from inexisting python-webkitgtk)
    thanks to Daniel Fuentes Barría <dbfuentes@gmail.com> (Closes: #571039)

 -- Julien Valroff <julien@kirya.net>  Fri, 19 Mar 2010 20:41:12 +0100

=== debian/control ===
Source: listen
Section: sound
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 python-support (>= 0.5.3),
 docbook2x,
 pkg-config,
 imagemagick,
 python-gtk2-dev,
 python-dev (>= 2.3.5-11),
 python-mutagen (>= 1.8),
 intltool,
 python-gnome2-dev,
 python-gnome2-extras-dev,
 python-gst0.10,
 sgml-data
Standards-Version: 3.9.1
XS-Python-Version: current
Homepage: http://www.listen-project.org/
Vcs-Git: git://git.debian.org/collab-maint/listen.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/listen.git

Package: listen
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python:Depends},
 gstreamer0.10-alsa,
 python-gtk2,
 python-dbus,
 python-glade2,
 notification-daemon,
 python-pyinotify,
 gstreamer0.10-plugins-base,
 gstreamer0.10-plugins-good,
 python-gst0.10 (>= 0.10.4-4),
 python-mutagen (>= 1.8),
 python-webkit | python-gtkmozembed,
 python-xdg
Recommends: gstreamer0.10-x,
 gstreamer0.10-esd,
 python-musicbrainz2,
 python-tunepimp (>= 0.5),
 gnome-icon-theme,
 python-daap,
 python-avahi,
 python-gpod (>= 0.3.2),
 python-gnome2,
 python-xlib,
 gstreamer0.10-plugins-ugly
Suggests: gstreamer0.10-plugins-bad,
 python-sexy,
 libtunepimp5,
 icecast2 | icecast-server
XB-Python-Version: ${python:Versions}
Description: music player and manager for GNOME
 Listen is an audio player which helps you to organize your
 music collections.
 .
 It supports many features such as Podcasts management, browse Shoutcast
 directory, and provides direct access to lyrics, lastfm and wikipedia
 information.
 .
 It intuitively creates playlists for you by retrieving information from
 lastfm and what you most frequently listen to.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	chmod u+x $(CURDIR)/mmkeys/setup.py
	convert -resize 32x32 $(CURDIR)/data/img/listen.png $(CURDIR)/debian/listen.xpm
	dh_auto_configure

override_dh_auto_clean:
	rm -f debian/listen.xpm
	dh_auto_clean

=== debian/watch ===
version=3
https://launchpad.net/listen/+download http://launchpad.net/listen/.*/listen-(.*)\.tar\.gz
